Bug 34972 - postup.sh exitcode univention-check-templates
postup.sh exitcode univention-check-templates
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Stefan Gohmann
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-26 15:41 CEST by Tim Petersen
Modified: 2014-09-10 17:39 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-05-26 15:41:42 CEST
if [ -x /usr/sbin/univention-check-templates ]; then
    /usr/sbin/univention-check-templates >>"$UPDATER_LOG" 2>&1
    rc=$?
    if [ "$rc" != 0 ]; then
        if [ "$rc" = 1 ]; then
            echo "Warning: $rc UCR template was not updated. Please check $UPDATER_LOG or execute univention-check-templates as root."
        else
            echo "Warning: $rc UCR templates were not updated. Please check $UPDATER_LOG or execute univention-check-templates as root."
        fi
    fi
fi


univention-check-templates doesn't exits itself with the amount of modified templates.
Comment 1 Stefan Gohmann univentionstaff 2014-09-01 08:23:20 CEST
Fixed: r53180
UCS 4 merge: r53181
YAML: r53182
Comment 2 Janek Walkenhorst univentionstaff 2014-09-09 11:29:11 CEST
Code review: OK
postup.sh/Warning still works: OK
Advisory: OK
Merge: OK
Comment 3 Janek Walkenhorst univentionstaff 2014-09-10 17:39:19 CEST
http://errata.univention.de/ucs/3.2/196.html